package com.usky.system.service.vo;

/**
 * 用户登录对象
 * 
 * @author ruoyi
 */
public class LoginBody
{
    /**
     * 用户名
     */
    private String username;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 验证码
     */
    private String verify;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 应用Id
     */
    private String cids;

    /**
     * 登录类型 app; wx;
     */
    private String type;

    /**
     * 登录方式 界面登录login; 租户切换switch;
     */
    private String method;

    /**
     * openId
     */
    private String openId;

    public String getOpenId()
    {
        return openId;
    }

    public void setOpenId(String openId)
    {
        this.openId = openId;
    }

    public String getType()
    {
        return type;
    }

    public void setType(String type)
    {
        this.type = type;
    }

    public String getMethod()
    {
        return method;
    }

    public void setMethod(String method)
    {
        this.method = method;
    }

    public String getCids()
    {
        return cids;
    }

    public void setCids(String cids)
    {
        this.cids = cids;
    }

    public String getPhone()
    {
        return phone;
    }

    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getVerify()
    {
        return verify;
    }

    public void setVerify(String verify)
    {
        this.verify = verify;
    }

    public String getUsername()
    {
        return username;
    }

    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getPassword()
    {
        return password;
    }

    public void setPassword(String password)
    {
        this.password = password;
    }

    public Integer getTenantId()
    {
        return tenantId;
    }

    public void setTenantId(Integer tenantId)
    {
        this.tenantId = tenantId;
    }
}
